GetWorkflow
POST/gitpod.v1.WorkflowService/GetWorkflow
Gets details about a specific workflow.
Use this method to:
- View workflow configuration
- Check workflow status
- Get workflow metadata
Examples
-
Get workflow details:
Retrieves information about a specific workflow.
workflowId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
GetWorkflow
curl https://app.gitpod.io/api/gitpod.v1.WorkflowService/GetWorkflow \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{}'{
"workflow": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"metadata": {
"createdAt": "2019-12-27T18:11:19.117Z",
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"description": "description",
"executor": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"name": "x",
"updatedAt": "2019-12-27T18:11:19.117Z"
},
"spec": {
"action": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"deleting": true,
"disabled": true,
"report": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"triggers": [
{
"context": {
"agent": {
"prompt": "prompt"
},
"fromTrigger": {},
"projects": {
"projectIds": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
]
},
"repositories": {
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"repoSelector": {
"repoSearchString": "x",
"scmHost": "x"
},
"repositoryUrls": {
"repoUrls": [
"x"
]
}
}
},
"manual": {},
"pullRequest": {
"events": [
"PULL_REQUEST_EVENT_UNSPECIFIED"
],
"integrationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"webhookId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"time": {
"cronExpression": "cronExpression"
}
}
]
},
"webhookUrl": "webhookUrl"
}
}Returns Examples
{
"workflow": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"metadata": {
"createdAt": "2019-12-27T18:11:19.117Z",
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"description": "description",
"executor": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"name": "x",
"updatedAt": "2019-12-27T18:11:19.117Z"
},
"spec": {
"action": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"deleting": true,
"disabled": true,
"report": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"triggers": [
{
"context": {
"agent": {
"prompt": "prompt"
},
"fromTrigger": {},
"projects": {
"projectIds": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
]
},
"repositories": {
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"repoSelector": {
"repoSearchString": "x",
"scmHost": "x"
},
"repositoryUrls": {
"repoUrls": [
"x"
]
}
}
},
"manual": {},
"pullRequest": {
"events": [
"PULL_REQUEST_EVENT_UNSPECIFIED"
],
"integrationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"webhookId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"time": {
"cronExpression": "cronExpression"
}
}
]
},
"webhookUrl": "webhookUrl"
}
}